adif.h File Reference
`#include "tqsllib.h"`
`#include <stdio.h>`
`#include <stdlib.h>`

Go to the source code of this file.

## Classes

struct | tqsl_adifFieldDefinitions
struct | tqsl_adifFieldResults

## Macros

#define | TQSL_ADIF_FIELD_NAME_LENGTH_MAX 64
| Max length of ADIF field.
#define | TQSL_ADIF_FIELD_SIZE_LENGTH_MAX 10
| Max length of field name.
#define | TQSL_ADIF_FIELD_TYPE_LENGTH_MAX 1
| Max length of field type.

## Typedefs

typedef void * | tQSL_ADIF
| Opaque ADIF type.

## Enumerations

enum | TQSL_ADIF_BOOLEAN { TQSL_FALSE, TQSL_TRUE }
enum | TQSL_ADIF_RANGE_TYPE { TQSL_ADIF_RANGE_TYPE_NONE, TQSL_ADIF_RANGE_TYPE_MINMAX, TQSL_ADIF_RANGE_TYPE_ENUMERATION }
| Specifies the type of range limits to apply to a field.

enum

TQSL_ADIF_GET_FIELD_ERROR {
TQSL_ADIF_GET_FIELD_SUCCESS, TQSL_ADIF_GET_FIELD_NO_NAME_MATCH, TQSL_ADIF_GET_FIELD_NO_TYPE_MATCH, TQSL_ADIF_GET_FIELD_NO_RANGE_MATCH,
TQSL_ADIF_GET_FIELD_NO_ENUMERATION_MATCH, TQSL_ADIF_GET_FIELD_NO_RESULT_ALLOCATION, TQSL_ADIF_GET_FIELD_NAME_LENGTH_OVERFLOW, TQSL_ADIF_GET_FIELD_DATA_LENGTH_OVERFLOW,
TQSL_ADIF_GET_FIELD_SIZE_OVERFLOW, TQSL_ADIF_GET_FIELD_TYPE_OVERFLOW, TQSL_ADIF_GET_FIELD_ERRONEOUS_STATE, TQSL_ADIF_GET_FIELD_EOF
}

| Response values returned from tqsl_getADIFField()

## Functions

DLLEXPORT const char *CALLCONVENTION | tqsl_adifGetError (TQSL_ADIF_GET_FIELD_ERROR status)
DLLEXPORT int CALLCONVENTION | tqsl_beginADIF (tQSL_ADIF *adifp, const char *filename)
DLLEXPORT int CALLCONVENTION | tqsl_getADIFField (tQSL_ADIF adif, tqsl_adifFieldResults *field, TQSL_ADIF_GET_FIELD_ERROR *status, const tqsl_adifFieldDefinitions *adifFields, const char *const *typesDefined, unsigned char *(*allocator)(size_t))
DLLEXPORT int CALLCONVENTION | tqsl_getADIFLine (tQSL_ADIF adif, int *lineno)
DLLEXPORT int CALLCONVENTION | tqsl_endADIF (tQSL_ADIF *adifp)
DLLEXPORT int CALLCONVENTION | tqsl_adifMakeField (const char *fieldname, char type, const unsigned char *value, int len, unsigned char *buf, int buflen)